Package com.trilead.ssh2.crypto.digest

# Class HashForSSH2Types

java.lang.Object
com.trilead.ssh2.crypto.digest.HashForSSH2Types

public class HashForSSH2Types extends Object
HashForSSH2Types.

## Constructor Summary

Constructors
Constructor
Description
`HashForSSH2Types(Digest md)`
`HashForSSH2Types(String type)`

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`getDigest()`
`void`
`getDigest(byte[] out)`
`void`
`getDigest(byte[] out, int off)`
`int`
`getDigestLength()`
`void`
`reset()`
`void`
`updateBigInt(BigInteger b)`
`void`
`updateByte(byte b)`
`void`
`updateBytes(byte[] b)`
`void`
`updateByteString(byte[] b)`
`void`
`updateUINT32(int v)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HashForSSH2Types

public HashForSSH2Types(Digest md)

### HashForSSH2Types

public HashForSSH2Types(String type)

## Method Details

### updateByte

public void updateByte(byte b)

### updateBytes

public void updateBytes(byte[] b)

### updateUINT32

public void updateUINT32(int v)

### updateByteString

public void updateByteString(byte[] b)

### updateBigInt

public void updateBigInt(BigInteger b)

### reset

public void reset()

### getDigestLength

public int getDigestLength()

### getDigest

public byte[] getDigest()

### getDigest

public void getDigest(byte[] out)

### getDigest

public void getDigest(byte[] out, int off)